import java.awt.Graphics;
import java.applet.Applet;

 public class abstracttesti extends Applet
 {
 private noktaX n;
 private daireX d;
 private silindirX s;
 private sekilX a[];

 public void init()
 {
 n = new noktaX(7,11);
 d = new daireX(3.5,22,8);
 s = new silindirX(10,3.3,10,10);
 a = new sekilX[3];
 a[0]=n;
 a[1]=d;
 a[2]=s;
 }

 public void paint(Graphics g)
 {
 //direk cagirma :
 g.drawString(n.isimOku()+": "+n.toString(),25,25);
 g.drawString(d.isimOku()+": "+d.toString(),25,40);
 g.drawString(s.isimOku()+": "+s.toString(),25,55);
 //indirek cagirma
 int y=85;
 for(int i=0;i<a.length;i++)
 {
 g.drawString(a[i].isimOku()+": "+a[i].toString(),25,y);
 y+=15;
 g.drawString("Alan : "+a[i].alan()+" Hacim : "+a[i].hacim(),25,y);
 y+=15;
 }
 }
 }
